Get an activity type group
get
/rest/ofscMetadata/v1/activityTypeGroups/{label}
This operation retrieves the details of the specified activity type group.
The response contains the translations of the activity type group name in the user's language in the translation structure and in the entity fields.
Request
Path Parameters
-
label(required): string
Minimum Length:
1Maximum Length:40The label of the activity type group.
Response
Supported Media Types
- application/json
- application/schema+json
200 Response
This section describes the 200 status response for this operation.
Root Schema : ActivityTypeGroup
Type:
Show Source
object-
activityTypes:
array Activity Types
Title:
Activity TypesThe array of activity type objects associated with the activity type group.
Match All
Show Source
-
object
Activity Type Group
Title:
Activity Type GroupThe object representing group activity types.
Nested Schema : Activity Types
Type:
arrayTitle:
Activity TypesThe array of activity type objects associated with the activity type group.
Show Source
Nested Schema : Activity Type Group
Type:
objectTitle:
Activity Type GroupThe object representing group activity types.
Show Source
-
label:
string
Title:
LabelMinimum Length:1Maximum Length:32The label of the activity type group. -
translations:
array Translations
Title:
TranslationsThe array of translation objects associated with the activity type group.
Nested Schema : items
Type:
Show Source
object-
label(required):
string
The label of the activity type object.
Nested Schema : Translations
Type:
arrayTitle:
TranslationsThe array of translation objects associated with the activity type group.
Show Source
Nested Schema : Translation
Type:
Show Source
object-
language(required):
string
The language code of the translated text. The code in the response is two characters long (for example, 'en', 'es').
See Supported Language Codes to view the values that are supported.
-
languageISO:
string
The ISO language code (for example, 'en-US').
-
name(required):
string
The specified name of the property translated to the language code available in the system.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to get an activity type group by submitting a GET request on the REST resource.
cURL command Example
The following shows an example of the cURL command.
curl -X GET "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/activityTypeGroups/customer" -u "<CLIENT-ID>@<INSTANCE-NAME>:<CLIENT-SECRET>" -H "Accept: application/json" -H "Content-Type: application/json"
Response Header Example
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx Date: Mon, 14 Oct 2019 10:53:17 GMT Content-Type: application/json; charset=utf-8 Connection: close
Response Body Example
The following shows an example of the response body in JSON format.
{
"label": "customer",
"name": "Customer",
"activityTypes": [
{
"label": "4"
},
{
"label": "5"
},
{
"label": "6"
},
{
"label": "7"
},
{
"label": "8"
},
{
"label": "installation"
},
{
"label": "Testing"
},
{
"label": "Multiday"
},
{
"label": "SDI"
}
],
"translations": [
{
"language": "en",
"name": "Customer",
"languageISO": "en-US"
},
{
"language": "es",
"name": "Cliente",
"languageISO": "es-ES"
}
],
"links": [
{
"rel": "canonical",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/activityTypeGroups/customer"
},
{
"rel": "describedby",
"href": "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscMetadata/v1/metadata-catalog/activityTypeGroups"
}
]
}